Package org.apache.sysds.common

# Enum Class Types.OpOp2

java.lang.Object
java.lang.Enum<Types.OpOp2>
org.apache.sysds.common.Types.OpOp2

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOp2>`, `Constable`

Enclosing interface:
  Types

public static enum Types.OpOp2 extends Enum<Types.OpOp2>
Operations that require 2 operands

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AND`
`APPLY_SCHEMA`
`BITWAND`
`BITWOR`
`BITWSHIFTL`
`BITWSHIFTR`
`BITWXOR`
`CAST_AS_FRAME`
`CBIND`
`COMPRESS`
`CONCAT`
`COV`
`DIV`
`DROP_INVALID_LENGTH`
`DROP_INVALID_TYPE`
`EQUAL`
`FRAME_ROW_REPLICATE`
`GET_CATEGORICAL_MASK`
`GREATER`
`GREATEREQUAL`
`INTDIV`
`INTERQUANTILE`
`IQM`
`LESS`
`LESSEQUAL`
`LOG`
`LOG_NZ`
`MAX`
`MEDIAN`
`MIN`
`MINUS`
`MINUS_NZ`
`MINUS1_MULT`
`MODULUS`
`MOMENT`
`MULT`
`NOTEQUAL`
`OR`
`PLUS`
`POW`
`PRINT`
`QUANTILE`
`QUANTIZE_COMPRESS`
`RBIND`
`SOLVE`
`UNION_DISTINCT`
`VALUE_SWAP`
`XOR`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isValidOuter()`
`String`
`toString()`
`static Types.OpOp2`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOp2`
`valueOfByOpcode(String opcode)`
`static Types.OpOp2[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AND

public static final Types.OpOp2 AND

### APPLY_SCHEMA

public static final Types.OpOp2 APPLY_SCHEMA

### BITWAND

public static final Types.OpOp2 BITWAND

### BITWOR

public static final Types.OpOp2 BITWOR

### BITWSHIFTL

public static final Types.OpOp2 BITWSHIFTL

### BITWSHIFTR

public static final Types.OpOp2 BITWSHIFTR

### BITWXOR

public static final Types.OpOp2 BITWXOR

### CBIND

public static final Types.OpOp2 CBIND

### COMPRESS

public static final Types.OpOp2 COMPRESS

### CONCAT

public static final Types.OpOp2 CONCAT

### COV

public static final Types.OpOp2 COV

### DIV

public static final Types.OpOp2 DIV

### DROP_INVALID_TYPE

public static final Types.OpOp2 DROP_INVALID_TYPE

### DROP_INVALID_LENGTH

public static final Types.OpOp2 DROP_INVALID_LENGTH

### EQUAL

public static final Types.OpOp2 EQUAL

### FRAME_ROW_REPLICATE

public static final Types.OpOp2 FRAME_ROW_REPLICATE

### GREATER

public static final Types.OpOp2 GREATER

### GREATEREQUAL

public static final Types.OpOp2 GREATEREQUAL

### INTDIV

public static final Types.OpOp2 INTDIV

### INTERQUANTILE

public static final Types.OpOp2 INTERQUANTILE

### IQM

public static final Types.OpOp2 IQM

### LESS

public static final Types.OpOp2 LESS

### LESSEQUAL

public static final Types.OpOp2 LESSEQUAL

### LOG

public static final Types.OpOp2 LOG

### MAX

public static final Types.OpOp2 MAX

### MEDIAN

public static final Types.OpOp2 MEDIAN

### MIN

public static final Types.OpOp2 MIN

### MINUS

public static final Types.OpOp2 MINUS

### MODULUS

public static final Types.OpOp2 MODULUS

### MOMENT

public static final Types.OpOp2 MOMENT

### MULT

public static final Types.OpOp2 MULT

### NOTEQUAL

public static final Types.OpOp2 NOTEQUAL

### OR

public static final Types.OpOp2 OR

### PLUS

public static final Types.OpOp2 PLUS

### POW

public static final Types.OpOp2 POW

### PRINT

public static final Types.OpOp2 PRINT

### QUANTILE

public static final Types.OpOp2 QUANTILE

### SOLVE

public static final Types.OpOp2 SOLVE

### RBIND

public static final Types.OpOp2 RBIND

### VALUE_SWAP

public static final Types.OpOp2 VALUE_SWAP

### XOR

public static final Types.OpOp2 XOR

### CAST_AS_FRAME

public static final Types.OpOp2 CAST_AS_FRAME

### MINUS_NZ

public static final Types.OpOp2 MINUS_NZ

### LOG_NZ

public static final Types.OpOp2 LOG_NZ

### MINUS1_MULT

public static final Types.OpOp2 MINUS1_MULT

### GET_CATEGORICAL_MASK

public static final Types.OpOp2 GET_CATEGORICAL_MASK

### QUANTIZE_COMPRESS

public static final Types.OpOp2 QUANTIZE_COMPRESS

### UNION_DISTINCT

public static final Types.OpOp2 UNION_DISTINCT

## Method Details

### values

public static Types.OpOp2[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.OpOp2 valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isValidOuter

public boolean isValidOuter()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Types.OpOp2>`

### valueOfByOpcode

public static Types.OpOp2 valueOfByOpcode(String opcode)